Demande aide pour utiliser librairies de Kicad

Bonjour a tous,

j'ai besoin d'aide pour utiliser les librairies sur Github.

j'ai dessine un shema et tente de mettre a jour les "Proprietes du symbole" pour aller plus loin.

Dans "Preferences" "Configuration des Variables d'Environnement", Kicad me place sur la ligne
KIGITHUB le chemin suivant : "KiCad EDA · GitHub"

Quand je tente d'y acceder je recois le message suivant :

Impossible de télécharger la librairie "https://github.com/KiCad/Jumper.pretty".
La librairie n'existe pas sur le serveur

Cette librairie existe, je l'ai chargee et installee sur mon PC.

Quand je modifie le chemin par ce qui me semble etre le lien correct c-a-d :

je recois alors le message suivant :

error reading zip local header

Si je laisse le chemin vers github vide, Kicad refuse.

J'ai cherche sur les docs Kicad, forum, video Youtube ... sans resultat.

Je travaille sous Windows 7 pro (a jour) avec la version de Kicad 5.0.2 installee ce jour apres desintallation complete de la version 5.0.1

Merci d'avance pour votre aide precieuse.
Jacques

Il existe une option dans les préférences du schéma qui permet d'ajouter un lien perso.
Utiliser le bouton append dans 'librairie projet specifique'.
Et ajouter un nom à votre lib, puis à côté le path.

Merci pierrotm777 pour ta reponse.

Je prefere faire fonctionner l'acces a github.com

Il y a qqch qui m'echappe. Je vais continuer a chercher.

Jacques

Je n'utilise pas cette fonctionnalité, mais voici :

Le bon chemin semble être kicad-footprints/Jumper.pretty at master · KiCad/kicad-footprints · GitHub
Mais même en donnant à KIGITHUB la valeur GitHub - KiCad/kicad-footprints: Official KiCad Footprint Libraries for Kicad version 5 cela ne fonctionne pas.

Errors were encountered loading footprints
IO_ERROR: footprint library path 'kicad-footprints/Jumper.pretty at master · KiCad/kicad-footprints · GitHub' does not exist
from /build/kicad-BIvGIy/kicad-4.0.2+dfsg1/pcbnew/kicad_plugin.cpp : FootprintEnumerate() : line 1758

Un bug ?

Personnellement j'essaierais de cloner la librairie dans son ensemble avec "git clone", et de fonctionner en local.
Ensuite mettre à jour de temps en temps avec "git pull".

@+

Merci hbachetti pour ta reponse tres complete et les essais que tu as fait.

Je vais aller tester cela.

Jacques

Dans le navigateur :
kicad-footprints/Jumper.pretty at master · KiCad/kicad-footprints · GitHub fonctionne
Et pourtant le message d’erreur concerne l’URL :
kicad-footprints/Jumper.pretty at master · KiCad/kicad-footprints · GitHub

A moins d’avoir besoin de changer de lunettes, je ne vois pas la différence.

La repository a l’air de bouger pas mal. Mais avoir un petit peu de retard dans les mises à jour ne devrait pas être catastrophique.

Bons routages.
@+